org.apache.maven.scm.provider.bazaar.command.blame

## Class BazaarBlameConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.bazaar.command.BazaarConsumer
    - - org.apache.maven.scm.provider.bazaar.command.blame.BazaarBlameConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class BazaarBlameConsumer
    extends BazaarConsumer

Since:
  1.4
Author:
  Evgeny Mandrikov, Olivier Lamy

### Constructor Summary

Constructors
Constructor and Description
`BazaarBlameConsumer(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doConsume(ScmFileStatus status, String trimmedLine)`
`List<BlameLine>` `getLines()`

### Methods inherited from class org.apache.maven.scm.provider.bazaar.command.BazaarConsumer

`consumeLine, getStdErr`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BazaarBlameConsumer

    public BazaarBlameConsumer(ScmLogger logger)

### Method Detail

#### doConsume

    public void doConsume(ScmFileStatus status,
                          String trimmedLine)

Overrides:
  `doConsume` in class `BazaarConsumer`

#### getLines

    public List<BlameLine> getLines()